@import "variables.css";

.contact-form {
    width: clamp(150px, 80%, 500px);
    margin: auto;
    padding: var(--space-lg);
    border-radius: 15px;
    background: linear-gradient(var(--color-bg-gradient-blue), var(--color-bg-gradient-blue-lighter));
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: var(--space-md);

    @media (max-width: 768px) {
        flex-direction: column;
        padding: var(--space-md);
    }

    @media (max-width: 480px) {
        padding: var(--space-sm);
    }

    .question {
        display: flex;
        flex-direction: column;
        width: 234px;
        gap: 4px;
        margin-bottom: 1rem;

        @media (max-width: 768px) {
            width: 100%;
        }

        input, select {
            border-radius: 5px;
            border: 1px solid var(--color-secondary);
            background-color: var(--color-bg-variant);
            padding: var(--space-xs) var(--space-sm);
        }
    }

    .message {
        width: 100%;

        textarea {
            border-radius: 5px;
            border: 1px solid var(--color-secondary);
            background-color: var(--color-bg-variant);
        }
    }

    .submit {
        padding: var(--space-xs) var(--space-md);
        margin-top: var(--space-md);
        border-radius: 10px;
        background-color: var(--color-accent);
        color: var(--color-text-contrast);
        font-weight: bold;
        border: none;
        cursor: pointer;
        transition: all 0.1s ease-in-out;
    }

    .submit:hover {
        transform: scale(1.05);
        transition: all 0.1s ease-in-out;
    }
}